Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Interface IWebModule

All Superinterfaces:
  IJ2EEModule

    public interface IWebModule

extends IJ2EEModule

A J2EE web module.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`java.lang.String` | `getContextRoot()` Returns the context root of the module.
`java.lang.String` | `getContextRoot(IModule earModule)` Returns the context root of the module.
`IModule[]` | `getModules()` Returns the utility modules contained within this WAR.
`java.lang.String` | `getURI(IModule module)` Returns the URI of the given contained module.

Methods inherited from interface org.eclipse.jst.server.core.IJ2EEModule
`getJavaOutputFolders, getResourceFolders, isBinary`

Method Detail

### getContextRoot

    java.lang.String getContextRoot()

  Returns the context root of the module.

  Returns:
    java.lang.String

### getContextRoot

    java.lang.String getContextRoot(IModule earModule)

  Returns the context root of the module. If the the webModule belongs to an earModule, the context root with higher presedence will be returned.

  Parameters:
    `earModule` - The EARModule if exist, if not null
  Returns:
    java.lang.String

### getModules

    IModule[] getModules()

  Returns the utility modules contained within this WAR.

  Returns:
    a possibly empty array of modules contained within this application

### getURI

    java.lang.String getURI(IModule module)

  Returns the URI of the given contained module.

  Parameters:
    `module` - a module
  Returns:
    the URI of the given module, or `null` if the URI could not be found

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD